import { KeyValuePair } from '../models/keyvaluepair';
export declare class KeyValuePairArray<TKey, TValue> extends Array<KeyValuePair<TKey, TValue>> {
    constructor();
    findByKey(key: TKey): TValue;
    add(key: TKey, value: TValue): void;
    remove(key: TKey): void;
}
